Package com.emc.documentum.rest.dfc.conversion

# Class AttributeValue

java.lang.Object
com.emc.documentum.rest.dfc.conversion.AttributeValue

public final class AttributeValue extends Object
A utility to handle attribute value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `formatDate(Date dateValue)`
  Format date.
  `static Object`
  `getValue(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.common.IDfAttr attribute, boolean convertDate)`
  Get attribute value from `dfcObject`
  `static Object`
  `getValue(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.common.IDfAttr attribute, String objectType, boolean convertDate)`
  Get attribute value from `dfcObject`
  `static Object`
  `getValue(com.documentum.fc.client.IDfTypedObject dfcObject, String objectType, String attrName, boolean convertDate)`
  Get attribute value from `dfcObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getValue

    public static Object getValue(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.common.IDfAttr attribute, boolean convertDate) throws com.documentum.fc.common.DfException
    Get attribute value from `dfcObject`
    Parameters:
      `dfcObject` - dfc object
      `attribute` - attribute to get its value from `dfcObject`
      `convertDate` - `true` to format date
    Returns:
      attribute value
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getValue

    public static Object getValue(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.common.IDfAttr attribute, String objectType, boolean convertDate) throws com.documentum.fc.common.DfException
    Get attribute value from `dfcObject`
    Parameters:
      `dfcObject` - dfc object
      `attribute` - attribute to get its value from `dfcObject`
      `objectType` - the data object type to check
      `convertDate` - `true` to format date
    Returns:
      attribute value
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getValue

    public static Object getValue(com.documentum.fc.client.IDfTypedObject dfcObject, String objectType, String attrName, boolean convertDate) throws com.documentum.fc.common.DfException
    Get attribute value from `dfcObject`
    Parameters:
      `dfcObject` - dfc object
      `objectType` - the data object type to check
      `attrName` - attribute name to get the attribute from `dfcObject`
      `convertDate` - `true` to format date
    Returns:
      attribute value
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### formatDate

    public static String formatDate(Date dateValue)
    Format date.
    Parameters:
      `dateValue` - the date to format
    Returns:
      formatted date